Logo
Getting started
    • Overview
    • Authentication
    • Testing
    • Error handling
    • Webhooks
    • Loyalty Tokens
    • Register API
Tutorials
API Reference
Please note: the Bookings API is now in beta. Some functionalities may not yet be available at that time. Please note that the API may be subject to change.

Create Booking

Creates a new Booking.

POST
https://api.piggy.eu/api//bookings
Headers
Authorization
Bearer {{ access_token | api_key }}
Accept
application/json

Body

shop_uuidstring
REQUIRED
The UUID of the Shop you want to create the Reward Reception for.
contact_uuidstring
REQUIRED
The UUID of the Contact who made the booking
external_idstring
OPTIONAL
An external identifier for the Booking
sourcestring
OPTIONAL
Source from where the Booking was created
starts_atstring
OPTIONAL
The start date and time of the Booking in ISO 8601 format
ends_atstring
OPTIONAL
The end date and time of the Booking in ISO 8601 format
checked_in_atstring
OPTIONAL
The date and time when the party checked into the booking in ISO 8601 format
number_of_peopleinteger
OPTIONAL
The size of the party in the booking
company_namestring
OPTIONAL
The name of the company for which the booking was made
statusstring
OPTIONAL
Status of the booking (e.g. created, in progress, canceled, completed)
prepaid_amountinteger
OPTIONAL
(in cents) The amount that was paid prior to the start of the booking
Response Example
Show more
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "data": { "uuid": "bfada889-6a69-4fcf-aed6-42933ae9084d", "contact": { "uuid": "15ead936-0d0a-40ed-877b-39f22b34be53", "email": "spongebob@bikinibottom.sea" }, "external_id": "ee33d7e5-6cf8-445a-abd8-81e70bf4c8ad", "source": "Website", "starts_at": "2024-05-01T20:00:00+00:00", "ends_at": "2024-05-01T22:30:00+00:00", "created_at": "2024-04-25T13:35:09+00:00" }, "meta": [] }

Update Booking

Updates the attributes of a Booking. Shop and contact cannot be updated.

PUT
https://api.piggy.eu/api//bookings/{{uuid}}
Headers
Authorization
Bearer {{ access_token | api_key }}
Accept
application/json

Body

external_idstring
OPTIONAL
An external identifier for the Booking
sourcestring
OPTIONAL
Source from where the Booking was created
starts_atstring
OPTIONAL
The start date and time of the Booking in ISO 8601 format
ends_atstring
OPTIONAL
The end date and time of the Booking in ISO 8601 format
checked_in_atstring
OPTIONAL
The date and time when the party checked into the booking in ISO 8601 format
number_of_peopleinteger
OPTIONAL
The size of the party in the booking
company_namestring
OPTIONAL
The name of the company for which the booking was made
statusstring
OPTIONAL
Status of the booking (e.g. created, in progress, canceled, completed)
prepaid_amountinteger
OPTIONAL
(in cents) The amount that was paid prior to the start of the booking
Response Example
Show more
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "data": { "uuid": "bfada889-6a69-4fcf-aed6-42933ae9084d", "contact": { "uuid": "12345-abcdefg-6789-yuiop", "email": "spongebob@bikinibottom.sea" }, "external_id": "V-0012", "source": "Widget", "starts_at": "2024-05-01T20:00:00+00:00", "ends_at": "2024-05-01T22:30:00+00:00", "checked_in_at": "2024-05-01T20:14:46+00:00", "created_at": "2024-04-25T13:35:09+00:00" }, "meta": [] }